Loading...
Searching...
No Matches
dolfin::DomainBoundary Class Reference

`#include <DomainBoundary.h>`

Inheritance diagram for dolfin::DomainBoundary:
[legend]
Collaboration diagram for dolfin::DomainBoundary:
[legend]

## Public Member Functions

| DomainBoundary ()
| Constructor.
virtual | ~DomainBoundary ()
| Destructor.
virtual bool | inside (const Array< double > &x, bool on_boundary) const
| Return true for points on the boundary.
Public Member Functions inherited from dolfin::SubDomain
| SubDomain (const double map_tol=1.0e-10)
virtual | ~SubDomain ()
| Destructor.
virtual bool | inside (Eigen::Ref< const Eigen::VectorXd > x, bool on_boundary) const
virtual void | map (const Array< double > &x, Array< double > &y) const
virtual void | map (Eigen::Ref< const Eigen::VectorXd > x, Eigen::Ref< Eigen::VectorXd > y) const
virtual void | snap (Array< double > &x) const
virtual void | snap (Eigen::Ref< Eigen::VectorXd > x) const
void | mark_cells (Mesh &mesh, std::size_t sub_domain, bool check_midpoint=true) const
void | mark_facets (Mesh &mesh, std::size_t sub_domain, bool check_midpoint=true) const
void | mark (Mesh &mesh, std::size_t dim, std::size_t sub_domain, bool check_midpoint=true) const
void | mark (MeshFunction< std::size_t > &sub_domains, std::size_t sub_domain, bool check_midpoint=true) const
void | mark (MeshFunction< int > &sub_domains, int sub_domain, bool check_midpoint=true) const
void | mark (MeshFunction< double > &sub_domains, double sub_domain, bool check_midpoint=true) const
void | mark (MeshFunction< bool > &sub_domains, bool sub_domain, bool check_midpoint=true) const
void | mark (MeshValueCollection< std::size_t > &sub_domains, std::size_t sub_domain, const Mesh &mesh, bool check_midpoint=true) const
void | mark (MeshValueCollection< int > &sub_domains, int sub_domain, const Mesh &mesh, bool check_midpoint=true) const
void | mark (MeshValueCollection< double > &sub_domains, double sub_domain, const Mesh &mesh, bool check_midpoint=true) const
void | mark (MeshValueCollection< bool > &sub_domains, bool sub_domain, const Mesh &mesh, bool check_midpoint=true) const
std::size_t | geometric_dimension () const
virtual void | set_property (std::string name, double value)
virtual double | get_property (std::string name) const

## Additional Inherited Members

Public Attributes inherited from dolfin::SubDomain
const double | map_tolerance

## Detailed Description

This class provides a SubDomain which picks out the boundary of a mesh, and provides a convenient way to specify boundary conditions on the entire boundary of a mesh.

## Member Function Documentation

## inside()

virtual bool dolfin::DomainBoundary::inside | ( | const Array< double > & | x,
|  | bool | on_boundary ) const

inline virtual

Return true for points on the boundary.

Reimplemented from dolfin::SubDomain.

The documentation for this class was generated from the following file:

- /build/dolfin-lFBzDh/dolfin-2019.2.0~legacy20240219.1c52e83/dolfin/mesh/DomainBoundary.h